- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: Gogs
- name: Sets Gogs CR Facts
  set_fact:
    gogs_name: "{{ ('gogs-' ~ found_cr.resources[0].metadata.name)
                     if (found_cr is defined
                         and found_cr.resources is defined
                         and found_cr.resources | length > 0)
                     else False }}"
    gogs_namespace: "{{ found_cr.resources[0].metadata.namespace
                          if (found_cr is defined
                              and found_cr.resources is defined
                              and found_cr.resources | length > 0)
                          else False }}"
- name: Sets Gogs Facts
  set_fact:
    gogs_admin_secret: "{{ found_cr.resources[0].status.adminsecret }}"
    gogs_api_address: "{{ found_cr.resources[0].status.internal }}"
    gogs_api_public: "{{ found_cr.resources[0].status.public }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
